# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '/home/maarten/programming/subdownloader_old/scripts/gui/ui/uploadWidget.ui'
#
# Created by: PyQt5 UI code generator 5.12.2
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_UploadWidget(object):
    def setupUi(self, UploadWidget):
        UploadWidget.setObjectName("UploadWidget")
        UploadWidget.resize(981, 639)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(UploadWidget)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox_2 = QtWidgets.QGroupBox(UploadWidget)
        self.groupBox_2.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_2.sizePolicy().hasHeightForWidth())
        self.groupBox_2.setSizePolicy(sizePolicy)
        self.groupBox_2.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.groupBox_2.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout.setContentsMargins(-1, 1, -1, 1)
        self.verticalLayout.setSpacing(0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.buttonUploadBrowseFolder = QtWidgets.QToolButton(self.groupBox_2)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/images/openfolder.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonUploadBrowseFolder.setIcon(icon)
        self.buttonUploadBrowseFolder.setIconSize(QtCore.QSize(24, 24))
        self.buttonUploadBrowseFolder.setObjectName("buttonUploadBrowseFolder")
        self.horizontalLayout_5.addWidget(self.buttonUploadBrowseFolder)
        self.line_3 = QtWidgets.QFrame(self.groupBox_2)
        self.line_3.setFrameShape(QtWidgets.QFrame.VLine)
        self.line_3.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_3.setObjectName("line_3")
        self.horizontalLayout_5.addWidget(self.line_3)
        self.buttonUploadPlusRow = QtWidgets.QToolButton(self.groupBox_2)
        self.buttonUploadPlusRow.setEnabled(True)
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/images/plus.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonUploadPlusRow.setIcon(icon1)
        self.buttonUploadPlusRow.setIconSize(QtCore.QSize(24, 24))
        self.buttonUploadPlusRow.setObjectName("buttonUploadPlusRow")
        self.horizontalLayout_5.addWidget(self.buttonUploadPlusRow)
        self.buttonUploadMinusRow = QtWidgets.QToolButton(self.groupBox_2)
        self.buttonUploadMinusRow.setEnabled(False)
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/images/minus.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonUploadMinusRow.setIcon(icon2)
        self.buttonUploadMinusRow.setIconSize(QtCore.QSize(24, 24))
        self.buttonUploadMinusRow.setObjectName("buttonUploadMinusRow")
        self.horizontalLayout_5.addWidget(self.buttonUploadMinusRow)
        self.buttonUploadDeleteAllRow = QtWidgets.QToolButton(self.groupBox_2)
        self.buttonUploadDeleteAllRow.setEnabled(True)
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(":/images/delete_all.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonUploadDeleteAllRow.setIcon(icon3)
        self.buttonUploadDeleteAllRow.setIconSize(QtCore.QSize(24, 24))
        self.buttonUploadDeleteAllRow.setObjectName("buttonUploadDeleteAllRow")
        self.horizontalLayout_5.addWidget(self.buttonUploadDeleteAllRow)
        self.line_2 = QtWidgets.QFrame(self.groupBox_2)
        self.line_2.setFrameShape(QtWidgets.QFrame.VLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_2.setObjectName("line_2")
        self.horizontalLayout_5.addWidget(self.line_2)
        self.buttonUploadUpRow = QtWidgets.QToolButton(self.groupBox_2)
        self.buttonUploadUpRow.setEnabled(False)
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(":/images/up.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonUploadUpRow.setIcon(icon4)
        self.buttonUploadUpRow.setIconSize(QtCore.QSize(24, 24))
        self.buttonUploadUpRow.setObjectName("buttonUploadUpRow")
        self.horizontalLayout_5.addWidget(self.buttonUploadUpRow)
        self.buttonUploadDownRow = QtWidgets.QToolButton(self.groupBox_2)
        self.buttonUploadDownRow.setEnabled(False)
        icon5 = QtGui.QIcon()
        icon5.addPixmap(QtGui.QPixmap(":/images/down.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonUploadDownRow.setIcon(icon5)
        self.buttonUploadDownRow.setIconSize(QtCore.QSize(24, 24))
        self.buttonUploadDownRow.setObjectName("buttonUploadDownRow")
        self.horizontalLayout_5.addWidget(self.buttonUploadDownRow)
        spacerItem = QtWidgets.QSpacerItem(401, 33, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout_5)
        self.uploadView = UploadListView(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.uploadView.sizePolicy().hasHeightForWidth())
        self.uploadView.setSizePolicy(sizePolicy)
        self.uploadView.setMinimumSize(QtCore.QSize(0, 0))
        self.uploadView.setAutoScrollMargin(16)
        self.uploadView.setObjectName("uploadView")
        self.verticalLayout.addWidget(self.uploadView)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.uploadDetailsGroupBox = QtWidgets.QGroupBox(UploadWidget)
        self.uploadDetailsGroupBox.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.uploadDetailsGroupBox.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.uploadDetailsGroupBox.setObjectName("uploadDetailsGroupBox")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.uploadDetailsGroupBox)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setVerticalSpacing(0)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(self.uploadDetailsGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label.sizePolicy().hasHeightForWidth())
        self.label.setSizePolicy(sizePolicy)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.uploadIMDB = QtWidgets.QComboBox(self.uploadDetailsGroupBox)
        self.uploadIMDB.setObjectName("uploadIMDB")
        self.uploadIMDB.addItem("")
        self.gridLayout.addWidget(self.uploadIMDB, 0, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.uploadDetailsGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_6.sizePolicy().hasHeightForWidth())
        self.label_6.setSizePolicy(sizePolicy)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 2, 0, 1, 1)
        self.buttonUploadFindIMDB = QtWidgets.QPushButton(self.uploadDetailsGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.buttonUploadFindIMDB.sizePolicy().hasHeightForWidth())
        self.buttonUploadFindIMDB.setSizePolicy(sizePolicy)
        self.buttonUploadFindIMDB.setMinimumSize(QtCore.QSize(0, 0))
        self.buttonUploadFindIMDB.setMaximumSize(QtCore.QSize(120, 16777215))
        icon6 = QtGui.QIcon()
        icon6.addPixmap(QtGui.QPixmap(":/images/search.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonUploadFindIMDB.setIcon(icon6)
        self.buttonUploadFindIMDB.setObjectName("buttonUploadFindIMDB")
        self.gridLayout.addWidget(self.buttonUploadFindIMDB, 0, 2, 1, 1)
        self.label_7 = QtWidgets.QLabel(self.uploadDetailsGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_7.sizePolicy().hasHeightForWidth())
        self.label_7.setSizePolicy(sizePolicy)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 3, 0, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.uploadDetailsGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_5.sizePolicy().hasHeightForWidth())
        self.label_5.setSizePolicy(sizePolicy)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 1, 0, 1, 1)
        self.uploadReleaseText = QtWidgets.QLineEdit(self.uploadDetailsGroupBox)
        self.uploadReleaseText.setObjectName("uploadReleaseText")
        self.gridLayout.addWidget(self.uploadReleaseText, 2, 1, 1, 1)
        self.uploadComments = QtWidgets.QTextEdit(self.uploadDetailsGroupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.uploadComments.sizePolicy().hasHeightForWidth())
        self.uploadComments.setSizePolicy(sizePolicy)
        self.uploadComments.setMaximumSize(QtCore.QSize(16777215, 50))
        self.uploadComments.setObjectName("uploadComments")
        self.gridLayout.addWidget(self.uploadComments, 3, 1, 1, 1)
        self.horizontalLayout_12 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_12.setObjectName("horizontalLayout_12")
        self.uploadLanguages = LanguageComboBox(self.uploadDetailsGroupBox)
        self.uploadLanguages.setObjectName("uploadLanguages")
        self.horizontalLayout_12.addWidget(self.uploadLanguages)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_12.addItem(spacerItem1)
        self.gridLayout.addLayout(self.horizontalLayout_12, 1, 1, 1, 1)
        self.buttonUpload = QtWidgets.QPushButton(self.uploadDetailsGroupBox)
        self.buttonUpload.setEnabled(True)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.buttonUpload.setFont(font)
        icon7 = QtGui.QIcon()
        icon7.addPixmap(QtGui.QPixmap(":/images/upload.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.buttonUpload.setIcon(icon7)
        self.buttonUpload.setIconSize(QtCore.QSize(24, 24))
        self.buttonUpload.setObjectName("buttonUpload")
        self.gridLayout.addWidget(self.buttonUpload, 3, 2, 1, 1)
        self.verticalLayout_7.addLayout(self.gridLayout)
        self.verticalLayout_2.addWidget(self.uploadDetailsGroupBox)

        self.retranslateUi(UploadWidget)
        QtCore.QMetaObject.connectSlotsByName(UploadWidget)

    def retranslateUi(self, UploadWidget):
        _translate = QtCore.QCoreApplication.translate
        UploadWidget.setWindowTitle(_("Form"))
        self.groupBox_2.setTitle(_("Select the videos and subtitles  (only subtitles will be uploaded):"))
        self.buttonUploadDeleteAllRow.setToolTip(_("Empty the list"))
        self.uploadDetailsGroupBox.setTitle(_("Details:"))
        self.label.setText(_("Movie Title:"))
        self.uploadIMDB.setItemText(0, _("Click on the Find button to identify the movie"))
        self.label_6.setText(_("Release name:"))
        self.buttonUploadFindIMDB.setText(_("Find"))
        self.label_7.setText(_("Comments:"))
        self.label_5.setText(_("Subtitle Language:"))
        self.buttonUpload.setText(_("Upload"))


from subdownloader.client.gui.views.language import LanguageComboBox
from subdownloader.client.gui.views.upload import UploadListView
